---
deploy:
  image: gradle:8.13-jdk17
  stage: deploy
  script:
    - ./gradlew publish --no-daemon
  rules:
    # Only publish on the default branch
    # Ignore java-library template as it should never generate a deployment
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH && $CI_PROJECT_NAME != 'java-library'
